apt-get устанавливает определенную версию - proUbuntu
0 голосов
/

У меня есть это:

 # apt-get update
 # apt-get install -y postgresql-client=11.2

и я получаю

E: Версия '11 .2 'для' postgresql-client 'не найдена

но если я удаляю версию из установки и пытаюсь запустить команду pg_dump, я получаю:

stderr: pg_dump: версия сервера: 11.2;Версия pg_dump: 10.10 (Ubuntu 10.10-0ubuntu0.18.04.1)

кажется странным, что нет версии клиента с таким же значением.Что я могу сделать, чтобы найти максимально возможную версию client-lib?

1 Ответ

2 голосов
/

Используйте apt-cache policy <packagename>, чтобы найти доступные версии.Затем используйте

sudo apt install <packagename>=<version string>

для установки этой конкретной версии.

...